Subject: Re: [mobile-ip] Unresolved issue #18: Prefix advertisement acknowledgement

From: Samita Chakrabarti <[email-masked]>
Date: Mon, 6 May 2002 18:05:12 -0700 (PDT)

> > 2. MN sends a BU anyway to stop further prefix adv (uses existing HOA ?)
> >    if the prefix information changes (renumbering), MN configures new HOA,
> 
> 
> Yes. So, either the old or the new HoA is used but a BU is sent anyway.
> 
> 

Ok. If the new HOA is used and old HOA prefix is still valid for sometime,
then the HA would have to somehow  store the new HOA in the binding
cache (as well as the old HoA) in order to continue the ongoing data transfer
until the old HOA becomes invalid. But there is more to it, ie. HA needs to
update it's security association with the new HoA etc.

> >    If there is no prefix change, MN  just updates the prefix lifetime 
> >    information.
> >    Should the HA expect a BU at this point ? If HA expects BU as ACK
> >    only when prefix changes, then we can avoid extra signalling most
> >    of the time.
> 
> 
> Good question. There are though rules that dictate when such unsolicited
> prefix advs are to be sent. But if you do send one, how do you know what
> the mobile node thinks the prefix is? Would the home agent be able to decide
> that for this particular MN we don't need to wait for a BU, because it already
> knew the prefix?
> 

Yes. If the prefix does not change (no renumbering), then there is no change
in HoA, the prefix adv contains the validity life time information.
At that point HA does not expect any BU back from the MN (unreliable,
but saves signaling bandwidth). MN receives the prefix and updates it's
HoA validity lifetime, if for some reason it does not receive prefix adv
for a period of time and it's valid life time expires, MN should solicit
an advertisement.

When HA knows that the prefix has changed (i,e new HOA to be formed), then
it expects BU from the MN as an acknowledgement to  make sure MN receives
the prefix change information. I'd expect this situation would be infrequent.

> > choice (2),  does not require BR/BU sequence for prefix delivery.
> > 
> >  I wonder whether we need unique identifier parameter at all then ?
> 
> 
> You are right, we don't need that in this alternative.

Getting rid of the unique identifier perhaps will simplify things a bit.

Thanks,
-Samita